// priority: 0


Platform.getInfo('kubejs').name = 'Stacia 2: Expert'
Platform.getInfo('custommachinery').name = 'From the heart of Zulu'

StartupEvents.registry('item', e => {

	e.create('stone_mechanism')
	e.create('glowing_mechanism')
	e.create('allay_fertilizer')
	e.create('madeline_strawberry')
    
    .food(food => {
        food.hunger(99)
        food.saturation(99)
        food.alwaysEdible()
        food.effect('minecraft:speed', 400, 19, 1.0)
    })

	e.create('aquamarine')
	e.create('resonating_gem')
	e.create('uwuterium_pearl')
	e.create('bloody_mechanism')
	e.create('endsteel_bars')
	e.create('darksteel_bars')
	e.create('charged_enriched_iron')
	e.create('devilish_horn')
	e.create('blue_plastic')
	e.create('netherrack_piece')
	e.create('flint_handle')
	e.create('raw_arcane')
	e.create('illumination_powder')
	e.create('hdpe_rod_hori')

	//Infused Crystals
	e.create('goldium')
	e.create('infused_goldium').glow(true)

	//EnderIO
	e.create('basic_capacitor')
	e.create('advanced_capacitor')
	e.create('ultimate_capacitor')

	//Electron Tubes
	e.create('golden_electron_tube').texture("kubejs:item/tubes/golden")
	e.create('aquamarine_electron_tube').texture("kubejs:item/tubes/aquamarine")
	e.create('enriched_aquamarine').texture("kubejs:item/tubes/enriched_aquamarine")

	//Plates
	e.create('plate_endsteel').texture("kubejs:item/plates/plate_endsteel")
	e.create('plate_darksteel').texture("kubejs:item/plates/plate_darksteel")
	e.create('plate_diamond').texture("kubejs:item/plates/plate_diamond")
	e.create('plate_emerald').texture("kubejs:item/plates/plate_emerald")
	e.create('plate_lapis').texture("kubejs:item/plates/plate_lapis")
	e.create('plate_quartz').texture("kubejs:item/plates/plate_quartz")
	e.create('osmium_plate').texture("kubejs:item/plates/osmium_plate")
	e.create('dense_lead_plate').texture("kubejs:item/plates/dense_lead_plate")
	e.create('dense_iron_plate').texture("kubejs:item/plates/dense_iron_plate")

	//Nuggets
	e.create('stone_nugget').texture("kubejs:item/nuggets/stone_nugget")
	e.create('endsteel_nugget').texture("kubejs:item/nuggets/endsteel_nugget")
	e.create('darksteel_nugget').texture("kubejs:item/nuggets/darksteel_nugget")
	e.create('soulsteel_nugget').texture("kubejs:item/nuggets/soulsteel_nugget")
	e.create('nugget_lapis').texture("kubejs:item/nuggets/nugget_lapis")
	e.create('nugget_quartz').texture("kubejs:item/nuggets/nugget_quartz")
	e.create('uwuterium_nugget').texture("kubejs:item/nuggets/uwuterium_nugget")


	//Large Plates
	e.create('lp_aquamarine').texture("kubejs:item/largeplates/lp_aquamarine")
	e.create('lp_redstone').texture("kubejs:item/largeplates/lp_redstone")
	e.create('lp_tin').texture("kubejs:item/largeplates/lp_tin")
	e.create('lp_refined_glowstone').texture("kubejs:item/largeplates/lp_refined_glowstone")

	//DE
	e.create('de_draconic_core')
	e.create('de_wyvern_core')
	e.create('de_awakened_core')

	//Incomplete
	e.create('in_rf_coil')
	e.create('in_bloody_mechanism')
	e.create('in_creative_blaze_cake')
	e.create('in_starmetal_ingot').texture("kubejs:item/ingots/in_starmetal_ingot")
	e.create('in_enriched_iron').texture("kubejs:item/ingots/in_enriched_iron")
	e.create('in_cake')
	e.create('in_chocolate_cake')
	e.create('in_honey_cake')
	
	//RS Processors
	e.create('manasteel_processor')
	e.create('terrasteel_processor')
	e.create('elementium_processor')
	e.create('uwuterium_processor')

	//RS Raw Processors
	e.create('raw_manasteel_processor').texture("kubejs:item/rsprocessors/raw_manasteel_processor")
	e.create('raw_terrasteel_processor').texture("kubejs:item/rsprocessors/raw_terrasteel_processor")
	e.create('raw_elementium_processor').texture("kubejs:item/rsprocessors/raw_elementium_processor")
	e.create('raw_uwuterium_processor').texture("kubejs:item/rsprocessors/raw_uwuterium_processor")



	//Blood Magic Slates
	e.create('slate_1').texture("kubejs:item/slates/slate_1")
	e.create('slate_2').texture("kubejs:item/slates/slate_2")
	e.create('slate_3').texture("kubejs:item/slates/slate_3")
	e.create('slate_fluix').texture("kubejs:item/slates/slate_fluix")
	e.create('slate_uwuterium').texture("kubejs:item/slates/slate_uwuterium")

	//Dusts
	e.create('diamond_dust_pile').texture("kubejs:item/piles/diamond_dust_pile")
	e.create('emerald_dust_pile').texture("kubejs:item/piles/emerald_dust_pile")
	e.create('gold_dust_pile').texture("kubejs:item/piles/gold_dust_pile")
	
	e.create('draconium_dust')
	e.create('stardust')

	//Rods
	e.create('diamond_rod').texture("kubejs:item/rods/diamond_rod")
	e.create('emerald_rod').texture("kubejs:item/rods/emerald_rod")
	e.create('antimatter_rod').texture("kubejs:item/rods/antimatter_rod")

	//Gears
	e.create('osmium_gear')
	e.create('endsteel_gear')
	e.create('darksteel_gear')

	//Ingots
	e.create('osgloglas_ingot').texture("kubejs:item/ingots/osgloglas_ingot")
	e.create('awakened_draconium_ingot').texture("kubejs:item/ingots/awakened_draconium_ingot")
	e.create('draconium_ingot').texture("kubejs:item/ingots/draconium_ingot")
	e.create('stacium_ingot').texture("kubejs:item/ingots/stacium_ingot")
	e.create('solus_ingot').texture("kubejs:item/ingots/solus_ingot")
	e.create('terrarium_ingot').texture("kubejs:item/ingots/terrarium_ingot")
	e.create('lunaria_ingot').texture("kubejs:item/ingots/lunaria_ingot")
	e.create('starmetal_ingot').texture("kubejs:item/ingots/starmetal_ingot")
	e.create('osmiridium_ingot').texture("kubejs:item/ingots/osmiridium_ingot")
	e.create('endsteel_ingot').texture("kubejs:item/ingots/endsteel_ingot")
	e.create('darksteel_ingot').texture("kubejs:item/ingots/darksteel_ingot")
	e.create('iron_aluminum_ingot').texture("kubejs:item/ingots/iron_aluminum_ingot")
	e.create('uwuterium_ingot').texture("kubejs:item/ingots/uwuterium_ingot")
	e.create('soulsteel_ingot').texture("kubejs:item/ingots/soulsteel_ingot")

	//Catalyst
	e.create('catal_ender').texture("kubejs:item/catals/catal_ender")
	e.create('catal_glowstone').texture("kubejs:item/catals/catal_glowstone")
	e.create('catal_blood').texture("kubejs:item/catals/catal_blood")

	//Chipsets
	e.create('chipset_emerald').texture("kubejs:item/chipsets/chipset_emerald")
	e.create('chipset_iron').texture("kubejs:item/chipsets/chipset_iron")
	e.create('chipset_diamond').texture("kubejs:item/chipsets/chipset_diamond")
	e.create('chipset_gold').texture("kubejs:item/chipsets/chipset_gold")
	e.create('chipset_quartz').texture("kubejs:item/chipsets/chipset_quartz")
	e.create('chipset_redstone').texture("kubejs:item/chipsets/chipset_redstone")
	
	//Thermal Dusts
	e.create('aerotheum_dust').texture("kubejs:item/thermaldusts/aerotheum_dust")
	e.create('pyrotheum_dust').texture("kubejs:item/thermaldusts/pyrotheum_dust")
	e.create('cryotheum_dust').texture("kubejs:item/thermaldusts/cryotheum_dust")
	e.create('petrotheum_dust').texture("kubejs:item/thermaldusts/petrotheum_dust")

	//OC
	e.create('alu').texture("kubejs:item/oc/alu")
	e.create('angelupgrade').texture("kubejs:item/oc/angelupgrade")
	e.create('apu1').texture("kubejs:item/oc/apu1")
	e.create('apu2').texture("kubejs:item/oc/apu2")
	e.create('card').texture("kubejs:item/oc/card")
	e.create('chamelium').texture("kubejs:item/oc/chamelium")
	e.create('chip1').texture("kubejs:item/oc/chip1")
	e.create('chip2').texture("kubejs:item/oc/chip2")
	e.create('chip3').texture("kubejs:item/oc/chip3")
	e.create('componentbus1').texture("kubejs:item/oc/componentbus1")
	e.create('componentbus2').texture("kubejs:item/oc/componentbus2")
	e.create('componentbus3').texture("kubejs:item/oc/componentbus3")
	e.create('craftingupgrade').texture("kubejs:item/oc/craftingupgrade")
	e.create('cu').texture("kubejs:item/oc/cu")
	e.create('datacard1').texture("kubejs:item/oc/datacard1")
	e.create('datacard2').texture("kubejs:item/oc/datacard2")
	e.create('datacard3').texture("kubejs:item/oc/datacard3")
	e.create('diskdrivemountable').texture("kubejs:item/oc/diskdrivemountable")
	e.create('dronecase1').texture("kubejs:item/oc/dronecase1")
	e.create('dronecase2').texture("kubejs:item/oc/dronecase2")
	e.create('graphicscard1').texture("kubejs:item/oc/graphicscard1")
	e.create('graphicscard2').texture("kubejs:item/oc/graphicscard2")
	e.create('graphicscard3').texture("kubejs:item/oc/graphicscard3")
	e.create('hdd1').texture("kubejs:item/oc/hdd1")
	e.create('hdd2').texture("kubejs:item/oc/hdd2")
	e.create('hdd3').texture("kubejs:item/oc/hdd3")
	e.create('printedcircuitboard').texture("kubejs:item/oc/printedcircuitboard")
	e.create('ram1').texture("kubejs:item/oc/ram1")
	e.create('ram2').texture("kubejs:item/oc/ram2")
	e.create('ram3').texture("kubejs:item/oc/ram3")
	e.create('server1').texture("kubejs:item/oc/server1")
	e.create('server2').texture("kubejs:item/oc/server2")
	e.create('server3').texture("kubejs:item/oc/server3")
	e.create('wlancard1').texture("kubejs:item/oc/wlancard1")
	e.create('wlancard2').texture("kubejs:item/oc/wlancard2")

	//Units
	e.create('unit_empty').texture("kubejs:item/units/unit_empty")
	e.create('unit_glowstone').texture("kubejs:item/units/unit_glowstone")
	e.create('unit_cryotheum').texture("kubejs:item/units/unit_cryotheum")

	//Stabilized
	e.create('stabilized_jar_of_light').glow(true)
	e.create('stabilized_belt_of_unstable_gifts').glow(true)
	e.create('stabilized_shapers_focus').glow(true)
	e.create('stabilized_thread_warding').glow(true)


//Crafting Seeds
e.create('tier2_crafting_seed').texture("kubejs:item/craftingseeds/tier2_crafting_seed")
e.create('tier3_crafting_seed').texture("kubejs:item/craftingseeds/tier3_crafting_seed")
e.create('tier4_crafting_seed').texture("kubejs:item/craftingseeds/tier4_crafting_seed")
e.create('tier5_crafting_seed').texture("kubejs:item/craftingseeds/tier5_crafting_seed")
e.create('tier6_crafting_seed').texture("kubejs:item/craftingseeds/tier6_crafting_seed")



})

StartupEvents.registry('block', e => {

	e.create('charged_certus_quartz_block').soundType('metal').hardness(2.0).tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
	e.create('reinforced_obsidian').soundType('metal').resistance(1200).hardness(50).tagBlock("minecraft:wither_immune").tagBlock("minecraft:dragon_immune").tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
	e.create('arcane_ore').soundType('stone').hardness(2.0).tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
	e.create('deepslate_arcane_ore').soundType('stone').hardness(2.0).tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
	e.create('magical_casing').soundType('stone').hardness(2.0).tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
	e.create('glimmering_livingrock').soundType('stone').hardness(2.0).tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
	e.create('aquamarine_block').soundType('stone').hardness(2.0).tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
	e.create('draconium_block').soundType('metal').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
	e.create('charged_draconium_block').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool').soundType('metal')
	e.create('awakened_draconium_block').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool').soundType('metal')
	e.create('goldium_block').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool').soundType('metal')
	e.create('infused_goldium_block').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool').soundType('metal')
	e.create('soulsteel_block').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool').soundType('metal')
	e.create('starmetal_ore').soundType('stone').hardness(2.0).tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
	e.create('mana_sand').soundType('sand').tagBlock("mineable/shovel").tagBlock('minecraft:needs_stone_tool')
	e.create('uwuterium_block').soundType('metal').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_diamond_tool')
	e.create('osgloglas_block').soundType('metal').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_diamond_tool')
	e.create('darksteel_block').soundType('metal').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_diamond_tool')
	e.create('endsteel_block').soundType('metal').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_diamond_tool')
	e.create('raw_arcane_block').soundType('metal').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
	e.create('end_iridium').soundType('metal').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_netherite_tool')
	e.create('iron_aluminum_alloy_block').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool').soundType('metal')


  //Compressed Blocks
  e.create('c_oak').texture('up', 'kubejs:block/c_oak_topbottom').texture('down', 'kubejs:block/c_oak_topbottom').soundType('wood')
  e.create('c_dark_oak').texture('up', 'kubejs:block/c_dark_oak_topbottom').texture('down', 'kubejs:block/dark_oak_topbottom').soundType('wood')
  e.create('c_birch').texture('up', 'kubejs:block/c_birch_topbottom').texture('down', 'kubejs:block/c_birch_topbottom').soundType('wood')
  e.create('c_acacia').texture('up', 'kubejs:block/c_acacia_topbottom').texture('down', 'kubejs:block/acacia_topbottom').soundType('wood')
  e.create('c_jungle').texture('up', 'kubejs:block/c_jungle_topbottom').texture('down', 'kubejs:block/jungle_topbottom').soundType('wood')
  e.create('c_mangrove').texture('up', 'kubejs:block/c_mangrove_topbottom').texture('down', 'kubejs:block/mangrove_topbottom').soundType('wood')
  e.create('c_spruce').texture('up', 'kubejs:block/c_spruce_topbottom').texture('down', 'kubejs:block/spruce_topbottom').soundType('wood')

  e.create('c1_glass').defaultTranslucent().soundType('glass')
  e.create('c2_glass').defaultTranslucent().soundType('glass')
  e.create('c3_glass').defaultTranslucent().soundType('glass')
  e.create('c4_glass').defaultTranslucent().soundType('glass')
  e.create('c5_glass').defaultTranslucent().soundType('glass')
  e.create('c6_glass').defaultTranslucent().soundType('glass')
  e.create('c7_glass').defaultTranslucent().soundType('glass')
  e.create('c8_glass').defaultTranslucent().soundType('glass')
  e.create('c9_glass').defaultTranslucent().soundType('glass')

  e.create('c1_cobbled_deepslate').soundType('deepslate').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
  e.create('c2_cobbled_deepslate').soundType('deepslate').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
  e.create('c3_cobbled_deepslate').soundType('deepslate').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
  e.create('c4_cobbled_deepslate').soundType('deepslate').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
  e.create('c5_cobbled_deepslate').soundType('deepslate').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')

  e.create('compressed_infused_emeraldium_block')


})

StartupEvents.registry('fluid', e => {


	e.create('mana')
	.thickTexture(0x37fcf7).bucketColor(0x37fcf7)
	.flowingTexture('minecraft:block/water_flow').stillTexture('minecraft:block/water_still')

	e.create('starlight')
	.thickTexture(0xd8d7d7).bucketColor(0xd8d7d7)
	.flowingTexture('kubejs:item/liquid_starlight_still').stillTexture('kubejs:item/liquid_starlight_still')

	e.create('molten_uwuterium')
	.thickTexture(0xff66b2).bucketColor(0xff66b2)
	.flowingTexture('kubejs:item/lava_flow').stillTexture('kubejs:item/lava_still')

	e.create('stacia_essence')
	.thickTexture(0x0ee0cea).bucketColor(0xee0cea)
	.flowingTexture('kubejs:item/lava_flow').stillTexture('kubejs:item/lava_still')

	e.create('solus_essence')
	.thickTexture(0x13eaee).bucketColor(0x13eaee)
	.flowingTexture('kubejs:item/lava_flow').stillTexture('kubejs:item/lava_still')

	e.create('terraria_essence')
	.thickTexture(0x0ced1b).bucketColor(0x0ced1b)
	.flowingTexture('kubejs:item/lava_flow').stillTexture('kubejs:item/lava_still')

	e.create('lunaria_essence')
	.thickTexture(0x561bf1).bucketColor(0x561bf1)
	.flowingTexture('kubejs:item/lava_flow').stillTexture('kubejs:item/lava_still')

	e.create('molten_lapis')
	.thickTexture(0x1c52a6).bucketColor(0x1c52a6)
	.flowingTexture('kubejs:item/lava_flow').stillTexture('kubejs:item/lava_still')

	e.create('blazing_pyro')
	.bucketColor(0xffc325)
	.flowingTexture('kubejs:block/fluids/pyrotheum_flow').stillTexture('kubejs:block/fluids/pyrotheum_still')

	e.create('molten_enriched_quartz')
	.thickTexture(0xf3f3f4).bucketColor(0xf3f3f4)
	.flowingTexture('kubejs:item/en_quartz_flow').stillTexture('kubejs:item/en_quartz_still')

	e.create('blazing_cryo')
	.bucketColor(0x4bf1f5)
	.flowingTexture('kubejs:item/cryotheum_flow').stillTexture('kubejs:item/cryotheum_still')

	e.create('ender_juice')
	.thickTexture(0x0a2f56).bucketColor(0x0a2f56)
	.flowingTexture('kubejs:item/lava_flow').stillTexture('kubejs:item/lava_still')

	
})


ItemEvents.modification(e => {
    e.modify("kubejs:uwuterium_slate", item => {
		item.rarity = 'epic'
    })
})
  
